Set up a new CIFS configuration
POST /vsa/working-environments/{workingEnvironmentId}/cifs
Sets up a new CIFS configuration for an existing Cloud Volumes ONTAP system.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
workingEnvironmentId |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
dnsDomain |
string |
False |
DNS domain name |
ipAddresses |
array[string] |
True |
DNS server IP addresses |
netBIOS |
string |
True |
CIFS server NetBIOS name |
organizationalUnit |
string |
True |
Organizational unit for registration |
activeDirectoryDomain |
string |
True |
Active Directory domain name |
activeDirectoryUsername |
string |
True |
Active Directory username |
activeDirectoryPassword |
string |
True |
Active Directory password |
svmName |
string |
False |
SVM name |
Example request
{
"dnsDomain": "string",
"ipAddresses": [
"string"
],
"netBIOS": "string",
"organizationalUnit": "string",
"activeDirectoryDomain": "string",
"activeDirectoryUsername": "string",
"activeDirectoryPassword": "string",
"svmName": "string"
}
Error
Status: Default, Default response